Name:		smstools
%define		smsname %{name}3
Summary:	The SMS Server Tools send and receive short messages through GSM
Version:	3.1.15
Release:	1.1
Source0:	%{smsname}-%{version}.tar.bz2
Source1:	%{name}.logrotate.d
Source2:	%{name}.suse.init
Patch0:		%{name}-install-destdir.diff
Patch1:		%{name}-makefile.diff
License: 	GPL
Group: 		Applications/Communications
Url: 		http://smstools3.kekekasvi.com/
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(pre):	pwdutils
Requires:	logrotate

BuildRequires:	mm-devel

%description
The SMS Server Tools send and receive short messages through GSM modems or mobile phones.

You can send short messages by simply storing text files into a special spool directory. 
The program monitors this directory and sends new files automatically. 
It also stores received short messages into another directory as text files.

The program can run other external programs or scripts after events like reception of a new message, 
successful sending and also when a problem has been detected. 
These external programs can inspect the related text files and perform automatic actions, 
for example storing information into a database, sending an automatic reply, 
forwarding messages via eMail, ... and whatever you like.

This software runs on Windows and any Unix. It does not depend on any operating system specific 
feature and it does not depend on any library (except the standard C library). 
This makes the program highly compatible to embedded systems. 


%prep
%setup -n %{smsname}
%patch0 -p1
%patch1 -p1

%build
%{__make}

%install
%{__install} -D -m 755 -d %{buildroot}/%{_sysconfdir}/init.d
%{__install} -D -m 755 -d %{buildroot}/%{_sysconfdir}
%{__install} -D -m 755 -d %{buildroot}/%{_sysconfdir}/logrotate.d
%{__install} -D -m 755 -d %{buildroot}/var/spool/sms
%{__install} -D -m 755 -d %{buildroot}/%{_bindir}
%{__install} -D -m 755 -d %{buildroot}/%{_sbindir}
%{__install} -D -m 755 -d %{buildroot}/%{_docdir}/%{name}/html
%{__make} install DESTDIR=%{buildroot} BINDIR=%{buildroot}%{_bindir}
%{__install} -m 755 %{S:2} %{buildroot}/%{_sysconfdir}/init.d/smstools
%{__install} -m 644 %{S:1} %{buildroot}/%{_sysconfdir}/logrotate.d/smstools
%{__mv} doc html
chmod +x html examples
chmod -x LICENSE README
find html -type f -exec chmod 644 {} \;
find examples -type f -exec chmod 644 {} \;
cd %{buildroot}/%{_sbindir}
ln -s ../../%{_sysconfdir}/init.d/smstools rcsmstools
rm -f %{buildroot}/etc/init.d/sms3
for DIR in checked failed incoming outgoing sent ; do
	mkdir -p %{buildroot}/var/spool/sms/${DIR}
done

%pre
getent group smsd >/dev/null || groupadd -r smsd
getent passwd smsd >/dev/null || useradd -r -g smsd -d /var/spool/sms -s /sbin/nologin -c "SMSTools" smsd
exit 0

%preun
%stop_on_removal

%postun
%insserv_cleanup

%files
%defattr(-,root,root)
%doc LICENSE README
%doc examples
%doc html
%{_sysconfdir}/init.d/smstools
%{_bindir}/smsd
%{_bindir}/sendsms
%{_bindir}/sms2html
%{_bindir}/sms2unicode
%{_bindir}/unicode2sms
%{_sbindir}/rcsmstools
%defattr(-,smsd,smsd)
%dir /var/spool/sms
%dir /var/spool/sms/checked
%dir /var/spool/sms/failed
%dir /var/spool/sms/incoming
%dir /var/spool/sms/outgoing
%dir /var/spool/sms/sent
%defattr(0644,root,root)
%config(noreplace) %{_sysconfdir}/smsd.conf
%config %{_sysconfdir}/logrotate.d/smstools

%changelog
* Sat Dec  8 2012 cs@linux-administrator.com
- update to release 3.1.15
* Thu Feb 24 2011 cs@linux-administrator.com
- update to release 3.1.14
